Subject: Re: [X2Go-Dev] Bug#1321: X Error: BadLength (poly request too large or internal Xlib length error) 16

From: Hannes Kröger <[email-masked]>
Date: Fri, 17 Aug 2018 12:44:06 +0200

Hi Uli,

ok, when I put

X2GO_NXAGENT_DEFAULT_OPTIONS+=" +extension BIG-REQUESTS"

into /etc/x2go/x2goagent.options then paraview starts without errors.

But the comment says:
"Disable BIG-REQUESTS, nx-libs does not implement this extension
correctly. Leads to all sorts of weird crashes if left enabled."
Is this still true? Do I have to fear all sorts of weird crashes?

Am 17.08.2018 um 11:22 schrieb Ulrich Sibiller:
> Try to toggle BIGREQUESTS in /etc/x2go/
>
> Uli
>
>
> On Fri, Aug 17, 2018 at 9:55 AM, [email-masked], Hannes
> <[email-masked]> wrote:
>> Package: x2goserver
>> Version: 4.1.0.2-0~1642~ubuntu16.04.1
>>
>> When the 3D viewing software paraview is executed in a x2go session, it
>> does not start, but yields the error below:
>> $ paraview
>> X Error: BadLength (poly request too large or internal Xlib length error) 16
>>   Major opcode: 18 (X_ChangeProperty)
>>   Resource id:  0x30001da
>> This problem does not appear in older versions of x2go. I could not find
>> a workaround for the problem. Any hints are welcome.
>> OS: Ubuntu 16.04 Xenial
>> Paraview - Version 4.4.0
>> NXAGENT - Version 3.5.99.16
>> _______________________________________________
>> x2go-dev mailing list
>> [email-masked]
>> https://lists.x2go.org/listinfo/x2go-dev